Skip to navigation

Get envelope document HTML definitions

View as Markdown

Retrieves the HTML definition used to generate a dynamically sized responsive document.

If the document was not created as a signable HTML document, this endpoint will return a 200-OK response and an empty JSON body.

Note: The documentId query parameter is a GUID value, not an integer document ID. If an invalid document ID is provided, this endpoint will return a 200-OK response and an empty JSON body.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

documentIdstringRequired

The GUID of the document.

Example: c671747c-xxxx-xxxx-xxxx-4a4a48e23744

envelopeIdstringRequired

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Response

Successful response.
htmlDefinitionslist of objectsOptional

Holds the properties that define how to generate the responsive-formatted HTML for the document.

Errors

400
Bad Request Error